<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_d5ebf376f635c188ec" . "65813608e6ece5" => base64_decode("bmV3X3Z" . "lcnNpb2" . "4="), "_6e38cb9" . "e043a07c" . "d69a1711" . "a6704c62" . "a" => base64_decode("cGFy" . "ZW50" . "X2lk"), "_0ee0a25025d73f8693a4bb37a" . "3c298ac" => base64_decode("Y2hlY2tlZF9pbl" . "9ieQ=="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0ee0a25025d" . "73f8693a4bb3" . "7a3c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d5ebf376f635c188e" . "c65813608e6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_6e38cb9e043a07cd69" . "a1711a6704c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}